local ui = require("fschauen.util.icons").ui

return {
  "lukas-reineke/indent-blankline.nvim",

  cmd = {
    "IBLEnable",
    "IBLDisable",
    "IBLToggle",
    "IBLEnableScope",
    "IBLDisableScope",
    "IBLToggleScope",
  },

  keys = {
    -- stylua: ignore start
    { "<leader>si", "<cmd>IBLToggle<cr>",      desc = ui.Toggle.." toggle [i]ndent lines" },
    { "<leader>so", "<cmd>IBLToggleScope<cr>", desc = ui.Toggle.." toggle indent line sc[o]pe" },
    -- stylua: ignore end
  },

  main = "ibl",

  opts = {
    enabled = false,
    indent = { char = ui.LineLeft },
    scope = {
      char = ui.LineLeftBold,
      enabled = false,
      show_start = false,
      show_end = false,
    },
  },
}
