return {
  "williamboman/mason.nvim",

  cmd = "Mason",

  event = { "BufReadPre", "BufNewFile" },

  config = function()
    local icons = require("fschauen.util.icons")

    require("mason").setup {
      ui = {
        border = "rounded",
        icons = {
          package_installed = icons.git.file.Staged,
          package_pending = icons.git.file.Unstaged,
          package_uninstalled = icons.git.file.Deleted,
        },
      },
    }
  end,
}
