return {
  "tyru/open-browser.vim",

  cmd = {
    "OpenBrowser",
    "OpenBrowserSearch",
    "OpenBrowserSmartSearch",
  },

  keys = function()
    local icon = require("fschauen.util.icons").ui.Web
    return {
      {
        "<leader>o",
        "<Plug>(openbrowser-smart-search)",
        desc = icon .. " [o]pen URL under cursor or search the web",
        mode = { "n", "v" },
      },
    }
  end,

  init = function() vim.g.openbrowser_default_search = "duckduckgo" end,
}
