---@type vim.lsp.Config
return {
  -- Use .editoconfig for code style, naming convention and analyzer settings.
  enable_editorconfig_support = true,

  -- Show unimported types and add`using` directives.
  enable_import_completion = true,

  -- Enable roslyn analyzers, code fixes, and rulesets.
  enable_roslyn_analyzers = true,

  -- Don't include preview versions of the .NET SDK.
  sdk_include_prereleases = false,

  handlers = {
    ["textDocument/definition"] = require("omnisharp_extended").handler,
  },
}
