return {
  "tpope/vim-commentary",

  cmd = "Commentary",

  keys = function()
    local icon = require("fschauen.util.icons").ui.Comment
    return {
      -- stylua: ignore start
      { "gc",  "<Plug>Commentary", mode = {"n", "x", "o"}, desc = icon.." Comment in/out" },
      { "gcc", "<Plug>CommentaryLine",                     desc = icon.." Comment in/out line" },
      { "gcu", "<Plug>Commentary<Plug>Commentary",         desc = icon.." Undo comment in/out" },
      -- stylua: ignore end
    }
  end,
}
