return {
  "lukas-reineke/headlines.nvim",

  dependencies = "nvim-treesitter/nvim-treesitter",

  ft = "markdown",

  opts = function()
    -- These work well with gruvbox.
    vim.cmd([[highlight Headline1 guibg=#161613]])
    vim.cmd([[highlight Headline2 guibg=#191915]])
    vim.cmd([[highlight Headline3 guibg=#1c1c17]])
    vim.cmd([[highlight Headline4 guibg=#1a1b19]])
    vim.cmd([[highlight Headline5 guibg=#171a1b]])
    vim.cmd([[highlight CodeBlock guibg=#121717]])
    vim.cmd([[highlight Quote guifg=#076678]])
    vim.cmd([[highlight Dash guifg=#d5c4a1]])

    return {
      markdown = {
        headline_highlights = {
          "Headline1",
          "Headline2",
          "Headline3",
          "Headline4",
          "Headline5",
        },
        bullets = "",
        dash_string = "",
        fat_headlines = false,
      },
    }
  end,
}
