return {
  "nvim-telescope/telescope-file-browser.nvim",

  dependencies = "nvim-telescope/telescope.nvim",

  keys = function()
    local helper = require("fschauen.plugins.telescope").keymap_helper
    local lhs, desc = helper.lhs, helper.description
    return {
      {
        lhs("B"),
        "<cmd>Telescope file_browser theme=ivy<cr>",
        desc = desc("file [B]rowser"),
      },
    }
  end,

  config = function() require("telescope").load_extension("file_browser") end,
}
